# List Notaries Retrieve a list of notaries associated with your organization. ## Important Notes - At the moment, notaries can be added to organization only manually through the PandaDoc Notary UI. - Organization must have Notary addon enabled to use this endpoint # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Notary", "description": "Operations for creating and managing notarization requests." } ], "paths": { "/public/v2/notary/notaries": { "get": { "tags": [ "Notary" ], "summary": "List Notaries", "operationId": "listNotaries", "description": "Retrieve a list of notaries associated with your organization.\n\n## Important Notes\n\n- At the moment, notaries can be added to organization only manually through the PandaDoc Notary UI. \n- Organization must have Notary addon enabled to use this endpoint\n", "parameters": [ { "name": "status", "in": "query", "description": "Filter by status (comma-separated values supported). Valid values are INVITED, UNDER_REVIEW, ACTIVE, REJECTED, INACTIVE", "required": false, "schema": { "type": "array", "items": { "type": "string", "enum": [ "INVITED", "UNDER_REVIEW", "ACTIVE", "REJECTED", "INACTIVE" ] }, "maxItems": 10 }, "example": [ "ACTIVE", "UNDER_REVIEW" ] }, { "name": "commission_state", "in": "query", "description": "Filter by commission state (comma-separated values supported)", "required": false, "schema": { "type": "array", "items": { "type": "string", "maxLength": 50 }, "maxItems": 20 }, "example": [ "California", "Arizona" ] }, { "name": "offset", "in": "query", "description": "Number of results to skip", "required": false, "schema": { "type": "integer", "default": 0 }, "example": 0 }, { "name": "limit", "in": "query", "description": "Maximum number of results to return", "required": false, "schema": { "type": "integer", "default": 50, "maximum": 100 }, "example": 50 }, { "name": "order_by", "in": "query", "description": "Sort by name, email, or status (default is email). Use a - prefix for descending order (e.g., -email)", "required": false, "schema": { "type": "string", "enum": [ "email", "-email", "status", "-status", "name", "-name" ], "default": "email" }, "example": "email" } ], "responses": { "200": { "description": "List of notaries retrieved successfully", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListNotariesResponse" }, "examples": { "List Notaries": { "value": { "results": [ { "id": "nyAnVpY7pZ23FBve8s9xgk", "email": "notary1@example.com", "name": "John Doe", "status": "ACTIVE", "commission_state": "California" }, { "id": "def456ghi789", "email": "notary2@example.com", "name": "Jane Smith", "status": "UNDER_REVIEW", "commission_state": "Arizona" } ], "count": 2 } } } } } }, "400": { "$ref": "#/components/responses/400BadRequestV2" }, "403": { "$ref": "#/components/responses/403PermissionDeniedV2" }, "429": { "$ref": "#/components/responses/429TooManyRequestsV2" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "ListNotariesResponse": { "type": "object", "properties": { "results": { "type": "array", "description": "Array of notary objects", "items": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier for the notary", "example": "nyAnVpY7pZ23FBve8s9xgk" }, "email": { "type": "string", "format": "email", "description": "Email address of the notary" }, "name": { "nullable": true, "type": "string", "description": "Full name of the notary", "example": "John Doe" }, "status": { "type": "string", "description": "Current status of the notary", "enum": [ "INVITED", "UNDER_REVIEW", "ACTIVE", "REJECTED", "INACTIVE" ], "example": "ACTIVE" }, "commission_state": { "nullable": true, "type": "string", "example": "California" } } } }, "count": { "type": "integer", "description": "Total number of notaries matching the criteria", "example": 5 } } } }, "responses": { "400BadRequestV2": { "description": "Bad Request error", "content": { "application/json": { "schema": { "properties": { "code": { "type": "string", "example": "bad_request" }, "details": { "type": "array", "items": { "type": "object", "properties": { "code": { "type": "string" }, "pointer": { "type": "string", "description": "JSON Pointer.", "nullable": true }, "data": { "description": "Details data.", "type": "object", "nullable": true, "minProperties": 0, "additionalProperties": true } }, "required": [ "code" ] }, "example": [] } } } } } }, "429TooManyRequestsV2": { "description": "Too many requests error", "content": { "application/json": { "schema": { "properties": { "code": { "type": "string", "example": "too_many_requests" }, "details": { "type": "array", "items": { "type": "object", "properties": { "code": { "type": "string" }, "pointer": { "type": "string", "description": "JSON Pointer.", "nullable": true }, "data": { "description": "Details data.", "type": "object", "nullable": true, "minProperties": 0, "additionalProperties": true } }, "required": [ "code" ] }, "example": [] } } } } } }, "403PermissionDeniedV2": { "description": "Permission error", "content": { "application/json": { "schema": { "properties": { "code": { "type": "string", "example": "forbidden" }, "details": { "type": "array", "items": { "type": "object", "properties": { "code": { "type": "string" }, "pointer": { "type": "string", "description": "JSON Pointer.", "nullable": true }, "data": { "description": "Details data.", "type": "object", "nullable": true, "minProperties": 0, "additionalProperties": true } }, "required": [ "code" ] }, "example": [] } } } } } } } } } ```